# VectorNav C++ Library: VnSensor Properties

VnSensor Properties

This group of methods interface with the VnSensor properties. More...

## Functions

protocol::uart::ErrorDetectionMode | vn::sensors::VnSensor::sendErrorDetectionMode ()
| Gets the current error detection mode used for commands sent to the sensor. Default is protocol::uart::ErrorDetectionMode::CHECKSUM. More...
void | vn::sensors::VnSensor::setSendErrorDetectionMode (protocol::uart::ErrorDetectionMode mode)
| Sets the error detection mode used by the class for commands sent to the sensor. More...
bool | vn::sensors::VnSensor::isConnected ()
| Indicates if the VnSensor is connected. More...
uint16_t | vn::sensors::VnSensor::responseTimeoutMs ()
| Gets the amount of time in milliseconds to wait for a response during read/writes with the sensor. More...
void | vn::sensors::VnSensor::setResponseTimeoutMs (uint16_t timeout)
| Sets the amount of time in milliseconds to wait for a response during read/writes with the sensor. More...
uint16_t | vn::sensors::VnSensor::retransmitDelayMs ()
| The delay in milliseconds between retransmitting commands. More...
void | vn::sensors::VnSensor::setRetransmitDelayMs (uint16_t delay)
| Sets the delay in milliseconds between command retransmits. More...

## Detailed Description

This group of methods interface with the VnSensor properties.

## Function Documentation

bool vn::sensors::VnSensor::isConnected | ( |  | ) |

Indicates if the VnSensor is connected.

Returns
  `true` if the VnSensor is connected; otherwise `false`.

uint16_t vn::sensors::VnSensor::responseTimeoutMs | ( |  | ) |

Gets the amount of time in milliseconds to wait for a response during read/writes with the sensor.

Returns
  The response timeout in milliseconds.

uint16_t vn::sensors::VnSensor::retransmitDelayMs | ( |  | ) |

The delay in milliseconds between retransmitting commands.

Returns
  The retransmit delay in milliseconds.

protocol::uart::ErrorDetectionMode vn::sensors::VnSensor::sendErrorDetectionMode | ( |  | ) |

Gets the current error detection mode used for commands sent to the sensor. Default is protocol::uart::ErrorDetectionMode::CHECKSUM.

Returns
  The error detection mode used for packets sent to the sensor.

void vn::sensors::VnSensor::setResponseTimeoutMs | ( | uint16_t | timeout | ) |

Sets the amount of time in milliseconds to wait for a response during read/writes with the sensor.

Parameters

  [in] | timeout | The number of milliseconds for response timeouts.

void vn::sensors::VnSensor::setRetransmitDelayMs | ( | uint16_t | delay | ) |

Sets the delay in milliseconds between command retransmits.

Parameters

  [in] | delay | The retransmit delay in milliseconds.

void vn::sensors::VnSensor::setSendErrorDetectionMode | ( | protocol::uart::ErrorDetectionMode | mode | ) |

Sets the error detection mode used by the class for commands sent to the sensor.

Parameters

  [in] | mode | The new error detection mode for packets sent to the sensor.